Bug 9512 - shutdown command not working
Summary: shutdown command not working
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-17 04:34 UTC by Ken Smith
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-17 15:21:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Smith 2000-02-17 04:34:59 UTC
I get the following message when I try to reboot either by telnet or
locally from keyboard. I am using the Std. RH6.1 Server installation. Also
I am not using apache or samba as both boxes are used as DNS and
Sendmail Servers only. I get same results on both boxes. The third box has
Gnome & Apache installed and it works correctly also when I env all 3 box's
the path statement is the same. None of the 3 boxes have a path to /sbin
were shutdown is located.

[root@ns /]# shutdown -r now
bash: shutdown: command not found
[root@ns /]#

Comment 1 Cristian Gafton 2000-02-17 15:21:59 UTC
/sbin is in the normal root path. unless you are on a su session and you did not
ask su to give you the root login environment.

Comment 2 Ken Smith 2000-02-17 16:00:59 UTC
As you can see from the example I have su to root and then cd /
Is this what you mean ask su to give root login environment.
If not please spell out step by step how to get there.

It still doesn't work and /sbin is not listed in the Path Statement when I type
env

I just tried this with a new box and a clean Server Install of 6.1 And I get
same results as I reported above on the bugreport.

Ken Smith

Comment 3 Dale Lovelace 2000-03-05 15:39:59 UTC
Try this handy command when you su "su -"
Don't forget the dash!

  Have fun!


Note You need to log in before you can comment on or make changes to this bug.